<?php

/**
 * blue spice for MediaWiki
 * Description:
 * Authors: Markus Glaser
 *
 * Copyright (C) 2010 Hallo Welt! – Medienwerkstatt GmbH, All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * http://www.gnu.org/copyleft/gpl.html
 *
 * For further information visit http://www.blue-spice.org
 *
 * Version information
 * $LastChangedDate: 2013-06-10 16:17:22 +0200 (Mo, 10. Jun 2013) $
 * $LastChangedBy: smuggli $
 * $Rev: 9661 $
 * $Id: index.php 9661 2013-06-10 14:17:22Z smuggli $
 */
/* Changelog
 */
$wgBlueSpiceExtInfo = array(
	'name' => 'BlueSpice for MediaWiki',
	'version' => '1.21.0',
	'url' => 'http://www.blue-spice.org',
	'desc' => 'Extension for MediaWiki to make it more suitable for business needs',
	'author' => array(
		'[http://www.hallowelt.biz Hallo Welt! Medienwerkstatt GmbH]',
	)
);

$wgExtensionCredits['other'][] = array(
	'name' => 'BlueSpice for MediaWiki ' . $wgBlueSpiceExtInfo['version'],
	'svn-date' => '$LastChangedDate: 2013-06-10 16:17:22 +0200 (Mo, 10. Jun 2013) $',
	'svn-revision' => '$LastChangedRevision: 9661 $',
	'description' => $wgBlueSpiceExtInfo['desc'],
	'author' => $wgBlueSpiceExtInfo['author'],
	'url' => $wgBlueSpiceExtInfo['url'],
);

$wgFooterIcons['poweredby']['bluespice'] = array(
	"src" => "$wgStylePath/$wgDefaultSkin/bs-poweredby_bluespice_88x31.png",
	"url" => "http://blue-spice.org",
	"alt" => "Powered by BlueSpice",
);

$wgResourceModules['ext.bluespice'] = array(
	'scripts' => array(
		'bluespice-core/js/bs.tools.js',
		'bluespice-core/js/slimScroll.min.js'
	),
	'dependencies' => array(
		'jquery', 'jquery.ui.core',
		'jquery.ui.dialog',
		'jquery.ui.tabs',
		'jquery.cookie',
		'jquery.ui.sortable',
		'jquery.ui.autocomplete',
		'jquery.effects.core',
		'mediawiki.legacy.shared', 
		'mediawiki.action.history.diff'
	),
	'localBasePath' => $IP,
	'remoteBasePath' => &$GLOBALS['wgScriptPath'],
	'position' => 'top' // available since r85616
);

$wgHooks['BeforePageDisplay'][] = 'bs_onBeforePageDisplay';

/**
 * Adds the 'ext.bluespice' module to the OutputPage
 * @param OutputPage $out
 * @param Skin $skin
 * @return boolean
 */
function bs_onBeforePageDisplay( $out, $skin) {
	$out->addModules('ext.bluespice');
	return true;
}

if (!defined('DS'))
	define('DS', DIRECTORY_SEPARATOR);
elseif (DS != DIRECTORY_SEPARATOR) {
	$message = 'Constant "DS" already in use but unequal "DIRECTORY_SEPARATOR", namely: DS == "' . DS . '"';
	//throw new Exception($message);
	exit($message . ' in ' . __FILE__ . ', line ' . __LINE__);
}

// TODO MRG20100724: Ist das ok beim Hosting (index.php ist hier symlinked)
/* Lilu:
 * Bei Symlinks wird es Probleme geben, da __FILE__ den absoluten Pfad inkl. aufgelöster Symlinks enthält.
 * Lösung wäre für das Hosting ein gemeinsam genutzter Core mit separater Konfiguration pro Präsenz.
 * Dies sollte sich ohne Probleme umsetzen lassen, da BlueSpice ja so designed ist, dass der Core in einem
 * separaten Verzeichnis liegen kann.
 */
wfProfileIn('Performance: Core - Defines');
if (!defined('WIKI_FARMING')) {
	define('BSROOTDIR', dirname(__FILE__));
	define('BSCONFIGDIR', BSROOTDIR . DS . 'config');
	define('BSDATADIR', BSROOTDIR . DS . 'data');
	define('BSI18NDIR', BSROOTDIR . DS . 'i18n');
	define('BSJSDIR', BSROOTDIR . DS . 'js');
	define('BSLIBDIR', BSROOTDIR . DS . 'lib');
// TODO MRG20100724: bslogir ist nicht im svn pfad bluespice-core/log
	/* Lilu: Verwenden wir den Logger überhaupt jetzt, wo wir die Views haben? */
	define('BSLOGDIR', BSROOTDIR . DS . 'log');
// TODO MRG20100724: brauchen wir die noch (mit den views)
	/* Lilu: Skins wird noch garnicht gebraucht. Erst wenn mehrere Applications unterstützt werden. */
	define('BSSKINDIR', BSROOTDIR . DS . 'skins');
	define('BSVENDORDIR', BSROOTDIR . DS . 'vendor');
}
wfProfileOut('Performance: Core - Defines');

wfProfileIn('Performance: Core - Includes');
require(BSLIBDIR . DS . 'Core.class.php');
require(BSLIBDIR . DS . 'Common.php');
wfProfileOut('Performance: Core - Includes');

/*
 * spl_autoload_register( $autoload_function, $throw, $prepend )
 * Changelog: The $prepend parameter was added with PHP 5.3.0
 */
wfProfileIn('Performance: Core - Register Autoloader');

spl_autoload_register(array('BsCore', 'autoload'), true, true);

wfProfileOut('Performance: Core - Register Autoloader');