<?php
/**
 * This class is the basetype for Exceptions within the Blue spice framework.
 *
 * @copyright Copyright (c) 2007-2009, HalloWelt! Medienwerkstatt GmbH, All rights reserved.
 * @author Sebastian Ulbricht, Robert Vogel
 * @version 0.1.0 beta
 *
 * $LastChangedDate: 2013-04-04 15:27:37 +0200 (Do, 04. Apr 2013) $
 * $LastChangedBy: pwirth $
 * $Rev: 9082 $
 * $Id: Exception.class.php 9082 2013-04-04 13:27:37Z pwirth $
 */

// Last Review: MRG20100813

// TODO MRG20100813: Wir müssen überlegen, wofür wir eigene Exceptions brauchen. Ich schlage vor, dass wir sie einsetzen,
// wenn ein nicht fataler Fehler passiert, der direkt mit blue spice zusammenhängt. Z.B. das Einbinden von Extensions, die
// nicht mit den richtigen Dependencies ausgestattet sind, oder beim Abrufen externer Quellen wie solr.
// Diese Exceptions sollten wir aufdröseln, also eine Klasse BsExtensionException, BsSolrException etc. Hier ist noch a bisserl
// Konzeption notwendig.
// MSC20101103: Das alles könnten wir doch über den Parameter $code abfangen, oder? Wir könnten dann BsException::EXTENSION=1
// und BsException::SOLR=2 ebenso wie BsException::FATALERROR=16 als bitkodierte Konstanten der Klasse definieren. Eine
// BsException würde dann wie folgt geworfen:
// throw new BsException( 'Can not connect to search server', BsException::SOLR|BsException::FATAL );
class BsException extends Exception {

	protected $sMessage = '';
	/**
	 * Extended constructor mehtod of the BsException class.
	 * @param String $sMessage The literal message fore the exception, or a I18N key for the provided I18N repository object
	 * @param Integer $iCode Classic errorcode
	 * @param Exception $oPreviousException For use in a chain of try-catch blocks.
	 */
	public function __construct( $sMessage = '', $iCode = 0, Exception $oPreviousException = null ) {
		wfProfileIn( 'BS::'.__METHOD__ );
		$this->sMessage = $sMessage;

		if ( $oPreviousException === null ) {
			parent::__construct( $sMessage, $iCode );
		} else {
			parent::__construct( $sMessage, $iCode, $oPreviousException ); // results in fatal error if $oPreviousException === null
		}
		wfProfileOut( 'BS::'.__METHOD__ );
	}
	
	public function getLogMessage() {
		return $this->sMessage;
	}

	//TODO: Enhance.
}