<?php

/**
 * This file contains the BsConfig class.
 *
 * The BsConfig class manages all settings for the BlueSpice framework and any
 * in the framework used adaptersettings.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 *
 * This file is part of BlueSpice for MediaWiki
 * For further information visit http://www.blue-spice.org
 *
 * @author     Sebastian Ulbricht <sebastian.ulbricht@dragon-design.hk>
 * @version    0.1.0
 * @version    $Id: Config.class.php 6479 2012-09-12 13:49:54Z smuggli $
 * @package    Bluespice_Core
 * @copyright  Copyright (C) 2011 Hallo Welt! - Medienwerkstatt GmbH, All rights reserved.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU Public License v2 or later
 * @filesource
 */
// TODO SU (27.06.11 14:46): Core contaminations entfernen (evtl. hookähnliches methoden in jeweiligen adapter implementieren)
// TODO STM (31.10.2012 12:27): Documentation

/**
 * the BsRemoteAction class
 * @package BlueSpice_Core
 * @subpackage Core
 */
class BsRemoteAction extends FormlessAction {

	public function getName() {
		return 'remote';
	}

	function onView() {
		global $wgGroupPermissions, $wgSquidMaxage, $wgForcedRawSMaxage, $wgJsMimeType;

		$this->getOutput()->disable();
		$request = $this->getRequest();

		$response = $request->response();

		$response->header( 'Content-type: text/html; charset=UTF-8' );
		# Output may contain user-specific data;
		# vary generated content for open sessions on private wikis
		$privateCache = !$wgGroupPermissions['*']['read'] && ( session_id() != '' );
		# allow the client to cache this for 24 hours
		$mode = $privateCache ? 'private' : 'public';
		$response->header( 'Cache-Control: ' . $mode . ', s-maxage=0, max-age=0' );

		#$text = $this->getRawText();
		$text = BsCore::getInstance('MW')->getAdapter()->getRemoteActionContent($this->getOutput());
		
		echo $text;
	}

	public function getRestriction() {}
}