<?php
/**
 * Interface for searcher for ExtendedSearch
 *
 * Part of BlueSpice for MediaWiki
 *
 * @author     Mathias Scheer <scheer@hallowelt.biz>
 * @version    $Id: SearchIndex.interface.php 5658 2012-07-02 11:28:00Z smuggli $
 * @package    BlueSpice_Core
 * @subpackage ExtendedSearch
 * @copyright  Copyright (C) 2010 Hallo Welt! - Medienwerkstatt GmbH, All rights reserved.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU Public License v2 or later
 * @filesource
 */
/* Changelog
 * v0.1
 * FIRST CHANGES
 */
/**
 * Interface for searcher for ExtendedSearch
 * @package BlueSpice_Core
 * @subpackage ExtendedSearch
 */
interface ISearchIndex {

	/**
	 * Constructor for ISearchIndex implementations
	 * @param BsSearchService $searchServiceObject Instance of current search service
	 */
	public function __construct( $searchServiceObject );

	/**
	 * This functions searches the index for a given search term
	 * @param BsSearchRequest $oSearchRequestCore Current search request
	 * @param array &$aMonitor Set of options.
	 */
	public function search( BsSearchRequest $oSearchRequest, &$aMonitor );

}