<?php
/**
  * blue spice for MediaWiki
  * Description:
  * Authors:
  *
  * Copyright (C) 2010 Hallo Welt! – Medienwerkstatt GmbH, All rights reserved.
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License along
  * with this program; if not, write to the Free Software Foundation, Inc.,
  * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  * http://www.gnu.org/copyleft/gpl.html
  *
  * For further information visit http://www.blue-spice.org
  *
  * Version information
  * $LastChangedDate: 2012-11-02 13:47:30 +0100 (Fr, 02. Nov 2012) $
  * $LastChangedBy: swidmann $
  * $Rev: 7099 $
  * $Id: index.php 7099 2012-11-02 12:47:30Z swidmann $
  */

define( 'DS', DIRECTORY_SEPARATOR );
define( 'BSBASE', dirname( dirname( dirname( $_SERVER['SCRIPT_FILENAME'] ) ) ) );

//Mini-Controller
$sPage = 'welcome';
if ( isset( $_REQUEST['page'] ) ) {
	$sPage = $_REQUEST['page'];
}

$sLanguage = 'en';
if ( isset( $_REQUEST['lang'] ) && $_REQUEST['lang'] == 'de' ) {
	$sLanguage = 'de';
}

if ( file_exists( BSBASE."/bluespice-core/config/base-settings.php" ) ) {
	$sPage = 'error-alreadysetup';
}

if ( !is_writable( BSBASE."/bluespice-core/config/" ) ) {
	$sPage = 'error-nowriteaccess';
}

/*wird benötigt, da ansonsten Profilerfunktionen nicht gefunden werden*/
if ( file_exists( BSBASE."/StartProfiler.php" ) ) {
	require_once( BSBASE."/StartProfiler.php" );
}
else if ( file_exists( BSBASE."/includes/ProfilerStub.php" ) ) {
	require_once( BSBASE."/includes/ProfilerStub.php" );
}
 else {
	require_once( BSBASE."/includes/profiler/Profiler.php" );
	require_once( BSBASE."/includes/profiler/ProfilerStub.php" );
}

/*auskommentiert, da durch doMaintenance wfProfile-Funktionen definiert werden*/
//function wfProfileIn() { return true; }; // dummy function to avoid errors
//function wfProfileOut() { return true; }; // dummy function to avoid errors
class BsSetup {

	public static $aOut = array();
	public static $aOutHead = array();
	public static $aOutFoot = array();
	public static $sVersion = "";

	public static function getVersion(){
		return self::$sVersion != "" ? self::$sVersion : self::readVersion();
	}

	public static function readVersion(){
		$lines = file( BSBASE."/includes/DefaultSettings.php" );
		foreach ( $lines as $line ) {
			if ( strpos( $line, 'wgVersion' ) ) {
				$aLine = explode( "'", $line );
				self::$sVersion = $aLine[1];
				break;
			}
		}
		return self::$sVersion;
	}

	public static function addOutput( $sString ){
		self::$aOut[] = $sString;
	}

	public static function addOutputHeader( $sString ){
		self::$aOutHead[] = $sString;
	}

	public static function addOutputFooter( $sString ){
		self::$aOutFoot[] = $sString;
	}

	public static function printOutput(){
		echo ( implode( '', self::$aOutHead ) . implode( '', self::$aOut ) . implode( '', self::$aOutFoot ) );
	}

}
include( 'setup.tpl.php' );
BsSetup::printOutput();