<?php
/**
 * This class is the basetype for Exceptions within the Blue spice framework.
 *
 * @copyright Copyright (c) 2007-2011, HalloWelt! Medienwerkstatt GmbH, All rights reserved.
 * @author Robert Vogel
 * @version 0.1.0 beta
 *
 * $LastChangedDate: 2012-07-27 09:38:23 +0200 (Fr, 27. Jul 2012) $
 * $LastChangedBy: rvogel $
 * $Rev: 5946 $
 * $Id: InvalidNamespaceException.class.php 5946 2012-07-27 07:38:23Z rvogel $
 */

class BsInvalidNamespaceException extends BsException {
	private $mListOfInvalidNamespaces = array();
	private $mListOfValidNamespaces = array();

	/**
	 * Setter for internal list of invalid namespaces
	 * @param array $aInvalidNamespaces
	 * @throws InvalidArgumentException 
	 */
	public function setListOfInvalidNamespaces( $aInvalidNamespaces ){
		if (is_array( $aInvalidNamespaces ) ) {
			$this->mListOfInvalidNamespaces = $aInvalidNamespaces;
		}
		else throw new InvalidArgumentException();
	}

	/**
	 * Getter for internal list of invalid namespaces
	 * @return array 
	 */
	public function getListOfInvalidNamespaces(){
		return $this->mListOfInvalidNamespaces;
	}
	
	/**
	 * Setter for internal list of valid namespaces
	 * @param array $aValidNamespaces
	 * @throws InvalidArgumentException 
	 */
	public function setListOfValidNamespaces( $aValidNamespaces ){
		if (is_array( $aValidNamespaces ) ) {
			$this->mListOfValidNamespaces = $aValidNamespaces;
		}
		else throw new InvalidArgumentException();
	}

	/**
	 * Getter for internal list of valid namespaces
	 * @return array 
	 */
	public function getListOfValidNamespaces(){
		return $this->mListOfValidNamespaces;
	}
}