<?php
/**
 * This file is part of blue spice for MediaWiki.
 *
 * @abstract
 * @copyright Copyright (c) 2010, HalloWelt! Medienwerkstatt GmbH, All rights reserved.
 * @author Robert Vogel
 * @version 0.1.0 beta
 *
 * $LastChangedDate: 2011-09-06 11:46:46 +0200 (Di, 06. Sep 2011) $
 * $LastChangedBy: rvogel $
 * $Rev: 3072 $
 * $Id: LoggerAppenderMW.php 3072 2011-09-06 09:46:46Z rvogel $
 */
class LoggerAppenderMW extends LoggerAppender {

	private $sTargetTitleName = 'MediaWiki:Log';
	private $oTargetArticle   = null;

	public function setTargetTitleName( $sTargetTitleName ) {
		$this->sTargetTitleName = $sTargetTitleName;
	}

	public function getTargetTitleName() {
		return $this->sTargetTitleName;
	}

	public function __construct( $name = '' ) {
		parent::__construct( $name );
		$this->requiresLayout = true;
	}
	
	public function __destruct() {
       $this->close();
   	}
	
	public function activateOptions() {
		$this->closed = false;
	}

	public function close() {
		// TODO RBV (15.04.11 12:16): Hier die Gesammelten Informationen in den Artikel schreiben.
		$this->closed = true;
	}

	public function append( LoggerLoggingEvent $event ) {
		if($this->layout !== null) {
			$level = $event->getLevel();
			if($level->isGreaterOrEqual(LoggerLevel::getLevelError())) {
				//TODO: Implement for MW
				throw new BnException('Not yet implemented');
			} else if ($level->isGreaterOrEqual(LoggerLevel::getLevelWarn())) {
				//TODO: Implement for MW
				throw new BnException('Not yet implemented');
			} else {
				//TODO: Implement for MW
				throw new BnException('Not yet implemented');
			}
		}
	}
}
