<?php
/**
 * This file is part of blue spice for MediaWiki.
 *
 * @abstract
 * @copyright Copyright (c) 2010, HalloWelt! Medienwerkstatt GmbH, All rights reserved.
 * @author Robert Vogel
 * @version 0.1.0 beta
 *
 * $LastChangedDate: 2011-05-16 23:57:06 +0200 (Mo, 16. Mai 2011) $
 * $LastChangedBy: mglaser $
 * $Rev: 1921 $
 * $Id: LoggerAppenderMWLog.class.php 1921 2011-05-16 21:57:06Z mglaser $
 */
class LoggerAppenderMWLog extends LoggerAppender {

	protected $oLogPage;
	protected $oI18N;
	
	public function __construct( $name = '' ) {
		parent::__construct( $name );
	}
	
	public function __destruct() {
       $this->close();
   	}
	
	public function buildChannel( $sChannel, $oI18N = null ) {
		global $wgLogTypes, $wgFilterLogTypes, $wgLogNames, $wgLogHeaders, $wgLogActions;
		$wgLogTypes[] = $sChannel;
		$wgFilterLogTypes[$sChannel] = true;
		$wgLogNames[$sChannel] = $oI18N->msg( $sChannel.'-logpage' );
		$wgLogHeaders[$sChannel] = $oI18N->msg( $sChannel.'-logpagetext' );
		
		$this->oLogPage = new LogPage( $sChannel, false );
		$this->oI18N = $oI18N;
	}
	
	public function activateOptions() {
		$this->closed = false;
	}

	public function close() {
		if( $this->closed ) return;
		$this->closed = true;
	}

	public function append( LoggerLoggingEvent $event ) {
		$aParams = $event->getMessage();
		$this->oLogPage->addEntry( $aParams['action'], $aParams['target'], $aParams['comment'], $aParams['params'], $aParams['doer'] );
	}
}