<?php
/**
 * Internationalisation file for Authors
 *
 * Part of BlueSpice for MediaWiki
 *
 * @author     Stephan Muggli <muggli@hallowelt.biz>
 * @version    $Id: Authors.i18n.php 8506 2013-02-07 16:11:31Z smuggli $
 * @package    BlueSpice_Extensions
 * @subpackage Authors
 * @copyright  Copyright (C) 2012 Hallo Welt! - Medienwerkstatt GmbH, All rights reserved.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU Public License v2 or later
 * @filesource
 */

$messages = array();

$messages['en'] = array(
	'bs-authors-extension-description' => 'Displays authors with image.',
	'prefs-Authors'                  => 'Authors of this article',
	'bs-authors-title'               => '{{PLURAL:$1|Author|Authors}} of this article',
	'bs-authors-profileimage'        => 'Profile image',
	'bs-authors-profileimage-change' => 'Change profile image',
	'bs-authors-show-all-authors'    => '[More authors available - show all]',
	'bs-authors-pref-blacklist'      => 'Blacklist',
	'bs-authors-pref-imageheight'    => 'Imageheight (<b>40</b>)',
	'bs-authors-pref-imagewidth'     => 'Imagewidth (<b>40</b>)',
	'bs-authors-pref-sortorder'      => 'Sortorder (<b>ASC</b> = ascending|DESC = decending)',
	'bs-authors-pref-limit'          => 'Limit of authors to display',
	'bs-authors-pref-defaultimage'   => 'Default image',
	'bs-authors-pref-deletedimage'   => 'Deleted image',
	'bs-authors-pref-elggpath'       => 'Path to social network <i>ELGG</i>',
	'bs-authors-pref-elgglink'       => 'Hyperlink to social network <i>ELGG</i>',
	'bs-authors-pref-moreimage'      => 'Image for <i>More authors</i>',
	'bs-authors-pref-UserImage'      => 'User image',
	'bs-authors-pref-show'           => 'Display authors',
	'bs-authors-switch-description'  => 'Hides authors on this page'
);

$messages['de'] = array(
	'bs-authors-extension-description' => 'Unter einem Artikel werden dessen Autoren in Form von Profilbildern angezeigt.',
	'prefs-Authors'                  => 'Autoren dieses Artikels',
	'bs-authors-title'               => '{{PLURAL:$1|Autor|Autoren}} dieses Artikels',
	'bs-authors-profileimage'        => 'Profilbild',
	'bs-authors-profileimage-change' => 'Profilbild ändern',
	'bs-authors-show-all-authors'    => '[Weitere Autoren vorhanden - alle zeigen]',
	'bs-authors-pref-blacklist'      => 'Auschlußliste',
	'bs-authors-pref-imageheight'    => 'Bildhöhe (<b>40</b>)',
	'bs-authors-pref-imagewidth'     => 'Bildbreite (<b>40</b>)',
	'bs-authors-pref-sortorder'      => 'Sortierungsreihenfolge (<b>ASC</b> = aufsteigend|DESC = absteigend)',
	'bs-authors-pref-limit'          => 'Maximale Anzahl angezeigter Autoren',
	'bs-authors-pref-defaultimage'   => 'Bild für <i>Kein Bild angegeben</i>',
	'bs-authors-pref-deletedimage'   => 'Bild für <i>Gelöscht</i>',
	'bs-authors-pref-elggpath'       => 'Pfad zum sozialen Netzwerk <i>ELGG</i>',
	'bs-authors-pref-elgglink'       => 'Hyperlink zum sozialen Netzwerk <i>ELGG</i>',
	'bs-authors-pref-moreimage'      => 'Bild für <i>Weitere Autoren vorhanden</i>',
	'bs-authors-pref-UserImage'      => 'Benutzerbild',
	'bs-authors-pref-show'           => 'Autoren anzeigen',
	'bs-authors-switch-description'  => 'Autoren werden auf dieser Seite nicht angezeigt'
);

$messages['de-formal'] = array();

$messages['qqq'] = array(
	'extension-description'          => 'Description of authors extension',
	'prefs-Authors'                  => 'Headline of authors in preferences',
	'bs-authors-title'               => 'Headline of authors box',
	'bs-authors-profileimage'        => 'Name of your profile image',
	'bs-authors-profileimage-change' => 'Change your profile image',
	'bs-authors-show-all-authors'    => 'More authors available - show all',
	'bs-authors-pref-blacklist'      => 'List of users that aren\'t shown',
	'bs-authors-pref-imageheight'    => 'Height of image (<b>40</b>)',
	'bs-authors-pref-imagewidth'     => 'Width of image (<b>40</b>)',
	'bs-authors-pref-sortorder'      => 'Sort order of authors (<b>ASC</b> = ascending|DESC = descending)',
	'bs-authors-pref-limit'          => 'How much authors should be displayed',
	'bs-authors-pref-defaultimage'   => 'Default picture for a user',
	'bs-authors-pref-deletedimage'   => 'Image for deleted user',
	'bs-authors-pref-elggpath'       => 'Path to social network ELGG',
	'bs-authors-pref-elgglink'       => 'Hyperlink to social network ELGG',
	'bs-authors-pref-moreimage'      => 'Image for more authors available',
	'bs-authors-pref-UserImage'      => 'Image of user'
);
