<?php
/**
 * Internationalisation file for Blog
 *
 * Part of BlueSpice for MediaWiki
 *
 * @author     Stephan Muggli <muggli@hallowelt.biz>
 * @version    $Id: Blog.i18n.php 7003 2012-10-25 14:35:22Z smuggli $
 * @package    BlueSpice_Extensions
 * @subpackage Blog
 * @copyright  Copyright (C) 2012 Hallo Welt! - Medienwerkstatt GmbH, All rights reserved.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU Public License v2 or later
 * @filesource
 */

$messages = array();

$messages['en'] = array(
	'bs-blog-extension-description'           => 'Display a blog style list of pages.',
	'bs-blog-no-entries'                      => 'There are no blog entries.',
	'bs-blog-comments'                        => 'Comments',
	'bs-blog-read-more'                       => 'Read more',
	'bs-blog-trackback'                       => 'Trackback',
	'bs-blog-permalink'                       => 'Permalink',
	'bs-blog-show-all'                        => 'Show all entries',
	'bs-blog-form-inline-text'                => 'Title...',
	'bs-blog-form-title-text'                 => 'Create new blog entry',
	'bs-blog-form-button-text'                => 'Create',
	'bs-blog-no-new-entry-with-cats'          => 'You cannot use the field for new blog entries with blogs from categories.',
	'bs-blog-preload-cat'                     => "\n\n<!-- Please do not remove the following category: article is a blog entry -->\n[[Category:$1]]",
	'bs-blog-Blog'                            => 'Blog',
	'prefs-Blog'                              => 'Blog',
	'bs-blog-pref-MoreAtEndOfEntry'           => 'Show <i>Read more</i> link at the end of an enty',
	'bs-blog-pref-MoreInNewWindow'            => 'Open new window for <i>Read more</i>',
	'bs-blog-pref-NewEntryFieldPosition'      => 'Position for the <i>New blog entry</i> form',
	'bs-blog-pref-Ns'                         => 'Standard namespace id',
	'bs-blog-pref-ShowAll'                    => 'Show <i>Show all entries</i> link',
	'bs-blog-pref-ShowInfo'                   => 'Show information about the entry',
	'bs-blog-pref-ShowLimit'                  => 'Number of displayed entries',
	'bs-blog-pref-ShowNewEntryField'          => 'Show <i>New blog entry</i> form',
	'bs-blog-pref-ShowPermalink'              => 'Show <i>Permalink</i> link',
	'bs-blog-pref-ShowTrackback'              => 'Shoe <i>Trackback</i> link (feature not activated)',
	'bs-blog-pref-SortBy'                     => 'Sort by',
	'bs-blog-pref-ImageRenderMode'            => 'Display pictures',
	'bs-blog-pref-MaxEntryCharacters'         => 'Number of displayed words',
	'bs-blog-pref-ShowTagFormWhenNotLoggedIn' => 'Show insert form also for not registed users',
	'bs-blog-tag-blog-desc'                   => 'This tag provides you the opportunity to display blog entry on every page.'
);

$messages['de'] = array(
	'bs-blog-extension-description'           => 'Wikiartikel werden in chronologischer Reihenfolge auf einer Seite eingebunden.',
	'bs-blog-no-entries'                      => 'Es sind keine Blog-Einträge vorhanden.',
	'bs-blog-comments'                        => 'Kommentare',
	'bs-blog-read-more'                       => 'Weiterlesen',
	'bs-blog-trackback'                       => 'Trackback',
	'bs-blog-permalink'                       => 'Permalink',
	'bs-blog-show-all'                        => 'Alle Beiträge anzeigen',
	'bs-blog-form-inline-text'                => 'Titel...',
	'bs-blog-form-title-text'                 => 'Neuen Blogeintrag verfassen',
	'bs-blog-form-button-text'                => 'Erstellen',
	'bs-blog-no-new-entry-with-cats'          => 'Bei Blogs aus Kategorien kann das Feld für neue Blogbeiträge nicht verwendet werden.',
	'bs-blog-preload-cat'                     => "\n\n<!-- Die folgende Kategorisierung bitte nicht löschen: Artikel ist ein Blog-Beitrag -->\n[[Kategorie:$1]]",
	'bs-blog-Blog'                            => 'Blog',
	'prefs-Blog'                              => 'Blog',
	'bs-blog-pref-MoreAtEndOfEntry'           => 'Link <i>Weiterlesen</i> direkt nach dem Eintrag anzeigen',
	'bs-blog-pref-MoreInNewWindow'            => 'Bei Klick auf <i>Weiterlesen</i> ein neues Fenster öffnen',
	'bs-blog-pref-NewEntryFieldPosition'      => 'Position des Formulars für neue Einträge',
	'bs-blog-pref-Ns'                         => 'Nummer des Standard-Namensraums',
	'bs-blog-pref-ShowAll'                    => 'Link <i>Alle anzeigen</i> ausgeben',
	'bs-blog-pref-ShowInfo'                   => 'Informationen über den Blogeintrag anzeigen',
	'bs-blog-pref-ShowLimit'                  => 'Anzahl der dargestellten Blogeinträge',
	'bs-blog-pref-ShowNewEntryField'          => 'Formular für neue Einträge anzeigen',
	'bs-blog-pref-ShowPermalink'              => 'Link <i>Permalink</i> anzeigen',
	'bs-blog-pref-ShowTrackback'              => 'Link <i>Trackback</i> anzeigen (ist momentan deaktiviert)',
	'bs-blog-pref-SortBy'                     => 'Sortierung',
	'bs-blog-pref-ImageRenderMode'            => 'Bilder anzeigen',
	'bs-blog-pref-MaxEntryCharacters'         => 'Anzahl darzustellender Wörter ',
	'bs-blog-pref-ShowTagFormWhenNotLoggedIn' => 'Erstellformular auch für nicht angemeldete Benutzer anzeigen',
	'bs-blog-tag-blog-desc'                   => 'Dieser Tag stellt die Funktionalität bereit, auf jeder Seite sich Blog Einträge anzeigen zulassen.'
);

$messages['de-formal'] = array();

$messages['qqq'] = array();
