/**
 * ExtendedEditBar extension
 *
 * Part of BlueSpice for MediaWiki
 * This file loads base i18n
 *
 * @author     Markus Glaser <glaser@hallowelt.biz>
 * @version    $Id: PageTemplatesAdmin.js 1799 2011-04-29 13:39:02Z mglaser $
 * @package    Bluespice_Extensions
 * @subpackage ExtendedEditBar
 * @copyright  Copyright (C) 2011 Hallo Welt! - Medienwerkstatt GmbH, All rights reserved.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU Public License v2 or later
 * @filesource
 */

/**
 * Base class for all ExtendedEditBar related methods and properties
 */
ExtendedEditBar = {
	/**
	 * i18n object
	 * @var object contains a list of i18n key value pairs
	 */
	i18n : {
		redirect_tip:                'Redirect',
		redirect_sample:             'Insert text',
		strike_tip:                  'Strike',
		strike_sample:               'Strike-through text',
		enter_tip:                   'Line break',
		enter_sample:                '',
		upper_tip:                   'Superscript',
		upper_sample:                'Superscript text',
		lower_tip:                   'Subscript',
		lower_sample:                'Subscript text',
		small_tip:                   'Small',
		small_sample:                'Small text',
		comment_tip:                 'Insert hidden comment',
		comment_sample:              'Comment',
		gallery_tip:                 'Insert a picture gallery',
		gallery_sample:              'Image:Example.jpg|Caption1\nImage:Example.jpg|Caption2',
		quote_tip:                   'Insert a block of quoted text',
		quote_sample:                'Block quote',
		table_tip:                   'Insert a table',
		table_sample:                '! header 1\n! header 2\n! header 3\n|-\n| row 1, cell 1\n| row 1, cell 2\n| row 1, cell 3\n|-\n| row 2, cell 1\n| row 2, cell 2\n| row 2, cell 3'
	}
}