/**
 * ExtendedEditBar extension
 *
 * Part of BlueSpice for MediaWiki
 * This file acually configures the individual buttons
 *
 * @author     Markus Glaser <glaser@hallowelt.biz>
 * @version    $Id: PageTemplatesAdmin.js 1799 2011-04-29 13:39:02Z mglaser $
 * @package    Bluespice_Extensions
 * @subpackage ExtendedEditBar
 * @copyright  Copyright (C) 2011 Hallo Welt! - Medienwerkstatt GmbH, All rights reserved.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU Public License v2 or later
 * @filesource
 */
// STM (24.02.12 - 18.12): Todo find the real problem  

var mwCustomEditButtons;
if ( mwCustomEditButtons ) {
		mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_redirect.png",
		"speedTip": ExtendedEditBar.i18n.redirect_tip,
		"tagOpen": "#REDIRECT [[",
		"tagClose": "]]",
		"sampleText": ExtendedEditBar.i18n.redirect_sample
	};

	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_strike.png",
		"speedTip": ExtendedEditBar.i18n.strike_tip,
		"tagOpen": "<s>",
		"tagClose": "</s>",
		"sampleText": ExtendedEditBar.i18n.strike_sample
	};

	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_enter.png",
		"speedTip": ExtendedEditBar.i18n.enter_tip,
		"tagOpen": "<br />",
		"tagClose": "",
		"sampleText": ExtendedEditBar.i18n.enter_sample
	};

	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_upper_letter.png",
		"speedTip": ExtendedEditBar.i18n.upper_tip,
		"tagOpen": "<sup>",
		"tagClose": "</sup>",
		"sampleText": ExtendedEditBar.i18n.upper_sample
	};

	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_lower_letter.png",
		"speedTip": ExtendedEditBar.i18n.lower_tip,
		"tagOpen": "<sub>",
		"tagClose": "</sub>",
		"sampleText": ExtendedEditBar.i18n.lower_sample
	};

	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_small.png",
		"speedTip": ExtendedEditBar.i18n.small_tip,
		"tagOpen": "<small>",
		"tagClose": "</small>",
		"sampleText": ExtendedEditBar.i18n.small_sample
	};

	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_hide_comment.png",
		"speedTip": ExtendedEditBar.i18n.comment_tip,
		"tagOpen": "<!-- ",
		"tagClose": " -->",
		"sampleText": ExtendedEditBar.i18n.comment_sample
	};

	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_gallery.png",
		"speedTip": ExtendedEditBar.i18n.gallery_tip,
		"tagOpen": "\n<gallery>\n",
		"tagClose": "\n</gallery>",
		"sampleText": ExtendedEditBar.i18n.gallery_sample
	};
/*
	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_blockquote.png",
		"speedTip": ExtendedEditBar.i18n.quote_tip,
		"tagOpen": "<blockquote>\n",
		"tagClose": "\n</blockquote>",
		"sampleText": ExtendedEditBar.i18n.quote_sample
	};
*/
	mwCustomEditButtons[mwCustomEditButtons.length] = {
		"imageFile": bsExtendedEditBarImagePath+"button_insert_table.png",
		"speedTip": ExtendedEditBar.i18n.table_tip,
		"tagOpen": '{| class="wikitable"\n|-\n',
		"tagClose": "\n|}",
		"sampleText": ExtendedEditBar.i18n.table_sample
	};
};