Ext.namespace('biz', 'biz.hallowelt', 'biz.hallowelt.ResponsibleEditors');

biz.hallowelt.ResponsibleEditors.AssignmentDialog = Ext.extend(Ext.Panel, {
	dirty: false,
	border: false,
	initComponent: function() {
	    this.btnSave = new Ext.Button({
		text: AssignmentPanelI18N.save,
		handler: this.onBtnSaveClicked,
		scope: this
	    });
	    
	    this.btnCancel = new Ext.Button({
		text: AssignmentPanelI18N.cancel,
		handler: this.onBtnCancelClicked,
		scope: this
	    });
	    
	    this.pnlAssignment = new biz.hallowelt.ResponsibleEditors.AssignmentPanel({
		articleData: this.articleData,
		listeners: {
		    'saved': this.pnlAssignmentSaved,
		    scope: this
		}
	    });
	    
	    this.items = [
		this.pnlAssignment
	    ]
	    
	    this.buttons = [
		this.btnSave,
		this.btnCancel
	    ]
	    
	    biz.hallowelt.ResponsibleEditors.AssignmentDialog.superclass.initComponent.call(this);
	},
	
	pnlAssignmentSaved: function (){
	    //MsgBox with "Saved successfully"
	    window.location.href = this.articleData.returnUrl;
	},
	
	onBtnSaveClicked: function( oSender, oEvent ) {
	    this.pnlAssignment.save();
	},
	
	onBtnCancelClicked: function( oSender, oEvent ) {
	    window.location.href = this.articleData.returnUrl;
	}
});

Ext.onReady(function() {
    CurrentAssignmentDialog = new biz.hallowelt.ResponsibleEditors.AssignmentDialog({
	articleData: bsResponsibleEditorsData,
        renderTo: 'bs-responsibleeditors-assignmentdialog'
    });

    CurrentAssignmentDialog.show();
});