Ext.namespace('biz', 'biz.hallowelt', 'biz.hallowelt.ResponsibleEditors');

biz.hallowelt.ResponsibleEditors.AssignmentWindow = Ext.extend(Ext.Window, {
	width: 400,
	closeAction: 'hide',
	y: 150,
	initComponent: function() {
	    this.title = AssignmentPanelI18N.title;
	    this.btnSave = new Ext.Button({
		text: AssignmentPanelI18N.save,
		handler: this.onBtnSaveClicked,
		scope: this
	    });
	    
	    this.btnCancel = new Ext.Button({
		text: AssignmentPanelI18N.cancel,
		handler: this.onBtnCancelClicked,
		scope: this
	    });
	    
	    this.pnlAssignment = new biz.hallowelt.ResponsibleEditors.AssignmentPanel({
		articleData: { articleId: -1 },
		listeners: {
		    'saved': this.pnlAssignmentSaved,
		    scope: this
		}
	    });
	    
	    this.items = [
		this.pnlAssignment
	    ]
	    
	    this.buttons = [
		this.btnSave,
		this.btnCancel
	    ]
	    
	    biz.hallowelt.ResponsibleEditors.AssignmentWindow.superclass.initComponent.call(this);
	},
	
	contextStore : null,
	loadAndShow: function ( iArticleId, oCallerStore ) {
	    this.contextStore = oCallerStore;
	    this.pnlAssignment.loadArticle( iArticleId );
	    this.show();
	},
	
	pnlAssignmentSaved: function (){
	    this.hide();
	    this.contextStore.reload();
	},
	
	onBtnSaveClicked: function( oSender, oEvent ) {
	    this.pnlAssignment.save();
	},
	
	onBtnCancelClicked: function( oSender, oEvent ) {
	    this.hide();
	}
});