<?php
/**
 * Renders the Overview of an ExportModule.
 *
 * Part of BlueSpice for MediaWiki
 *
 * @author     Robert Vogel <vogel@hallowelt.biz>
 * @version    $Id: view.ExportModuleOverview.php 7044 2012-10-29 13:21:04Z rvogel $
 * @package    BlueSpice_Extensions
 * @subpackage UniversalExport
 * @copyright  Copyright (C) 2011 Hallo Welt! - Medienwerkstatt GmbH, All rights reserved.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU Public License v2 or later
 * @filesource
 */

/**
 * This view renders the Overview of an ExportModule.
 * @package    BlueSpice_Extensions
 * @subpackage UniversalExport
 */
class ViewExportModuleOverview extends ViewBaseElement {

	/**
	 * Generates actually the output.
	 * @param mixed $params
	 * @return string The rendered HTML
	 */
	public function execute($params = false) {
		$aOut = array();

		$sId = !empty ( $this->_mId ) ? ' id="'.$this->_mId.'"' : '';

		$aOut[] = '<div'.$sId.' class="bs-universalexport-module">';
		$aOut[] = ' <h2 class="bs-universalexport-module-title">'.$this->mOptions['module-title'].'</h2>';
		$aOut[] = ' <div class="bs-universalexport-module-description">'.$this->mOptions['module-description'].'</div>';
		$aOut[] = ' <div class="bs-universalexport-module-body">';
		$aOut[] = '   <div class="bs-universalexport-module-bodycontent">';
		$aOut[] = $this->mOptions['module-bodycontent'];
		if( $this->hasItems() ) {
			foreach( $this->_mItems as $oItemView ) {
				$aOut[] = $oItemView->execute( $params );
			}
		}
		$aOut[] = '   </div>';
		$aOut[] = ' </div>';
		$aOut[] = '</div>';
		
		return implode( "\n", $aOut );
	}
}