<?php
/**
 * Internationalisation file for UserManager
 *
 * Part of BlueSpice for MediaWiki
 *
 * @author     Stephan Muggli <muggli@hallowelt.biz>
 * @version    $Id: UserManager.i18n.php 7027 2012-10-26 14:01:40Z mreymann $
 * @package    BlueSpice_Extensions
 * @subpackage UserManager
 * @copyright  Copyright (C) 2012 Hallo Welt! - Medienwerkstatt GmbH, All rights reserved.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU Public License v2 or later
 * @filesource
 */

$messages = array();

$messages['en'] = array(
	'bs-usermanager-extension-description'    => 'Administration interface for adding, editing and deleting users.',
	'bs-usermanager-actions'                  => 'Actions',
	'bs-usermanager-admin_nodelete'           => 'The administrator account can\'t be deleted',
	'bs-usermanager-authorizations'           => 'Authorizations',
	'bs-usermanager-button_cancel'            => 'Cancel',
	'bs-usermanager-button_ok'                => 'OK',
	'bs-usermanager-change_password'          => '$1 - Change password',
	'bs-usermanager-changetext'               => 'Rename in articles',
	'bs-usermanager-confirm_delete'           => '<b>$1</b><br/>Do you really want to delete this user?',
	'bs-usermanager-create_new_user'          => 'Create new user',
	'bs-usermanager-db_error'                 => 'A database error has occurred',
	'bs-usermanager-delete'                   => '$1 - Delete',
	'bs-usermanager-edit'                     => '$1 - Edit details',
	'bs-usermanager-email'                    => 'Email',
	'bs-usermanager-enter_pwd'                => 'Enter a password',
	'bs-usermanager-enter_pwd'                => 'Please enter a password',
	'bs-usermanager-enter_user'               => 'Enter a username',
	'bs-usermanager-group_added'              => 'The groups have been added',
	'bs-usermanager-id_noexist'               => 'This user ID does not exist',
	'bs-usermanager-invalid_email'            => 'The supplied E-mail is invalid. Please do not use apostrophes or backslashes.',
	'bs-usermanager-invalid_pwd'              => 'The supplied password is invalid. Please do not use apostrophes or backslashes.',
	'bs-usermanager-invalid_realname'         => 'The supplied real name is invalid. Please do not use apostrophes or backslashes.',
	'bs-usermanager-invalid_uname'            => 'The supplied username is invalid. Please do not use apostrophes or backslashes.',
	'bs-usermanager-invalid_email_gen'        => 'The supplied E-mail is invalid.',
	'bs-usermanager-invalid_uname_gen'        => 'The supplied username is invalid.',
	'bs-usermanager-label'                    => 'User manager',
	'bs-usermanager-name'                     => 'Name',
	'bs-usermanager-new_password'             => 'Enter new password',
	'bs-usermanager-new_password_confirm'     => 'Confirm new password',
	'bs-usermanager-new_uname'                => 'Enter new username',
	'bs-usermanager-new_user'                 => 'New user',
	'bs-usermanager-no-users-left'            => 'You have reached the maximum number of $1 users',
	'bs-usermanager-not_allowed'              => 'You are not allowed to use this page.',
	'bs-usermanager-password'                 => 'Password',
	'bs-usermanager-password'                 => 'Password',
	'bs-usermanager-pwd_changed'              => 'The password has been changed',
	'bs-usermanager-pwd_confirm'              => 'Confirm password',
	'bs-usermanager-pwd_nomatch'              => 'The supplied passwords do not match',
	'bs-usermanager-realname'                 => 'Real name',
	'bs-usermanager-select_group'             => 'Please select one or more groups:',
	'bs-usermanager-sysop_rights'             => 'You cannot remove the administrator\'s Sysop rights',
	'bs-usermanager-secure'                   => 'Secure',
	'bs-usermanager-to_group'                 => '$1 - Change groups',
	'bs-usermanager-user_added'               => 'User has been added',
	'bs-usermanager-user_deleted'             => 'User has been deleted',
	'bs-usermanager-user_edited'              => 'The changes have been saved.',
	'bs-usermanager-user_exists'              => 'Username already exists',
	'bs-usermanager-user_pwd_match'           => 'Username and password cannot be the same',
	'bs-usermanager-username'                 => 'Username',
	'bs-usermanager-users-left'               => 'You can create <b>$1</b> more users',
	'bs-usermanager-users_left'               => 'You have $1 users left',
	'bs-usermanager-users_max'                => 'You have reached the maximum of $1 users',
	'bs-usermanager-save_successful'          => 'changes have saved successfully',

	'UserManager'                             => 'User manager',
	'prefs-UserManager'                       => 'User manager',
	'bs-usermanager-pref-AllowPasswordChange' => 'Allow change of password',
	'bs-usermanager-pref-UTF8DecodeInput'     => 'Decode input',
	'bs-usermanager-pref-LinkUsers'           => 'Link to user pages',
	'bs-usermanager-pref-LinkEmail'           => 'Link to e-mail addresses',
	'bs-usermanager-pref-AllowEdit'           => 'Allow edit',
	'bs-usermanager-pref-AllowDelete'         => 'Allow deletion',
	'bs-usermanager-pref-AllowGroups'         => 'Allow groups',
	'bs-usermanager-pref-AllowCreate'         => 'Allow creation'
);

$messages['de'] = array(
	'bs-usermanager-extension-description'    => 'Administrationsoberfläche für das Anlegen, Bearbeiten und Löschen von Wikiusern.',
	'bs-usermanager-actions'                  => 'Aktionen',
	'bs-usermanager-admin_nodelete'           => 'Der Administrator-Account ist nicht l&ouml;schbar',
	'bs-usermanager-authorizations'           => 'Berechtigungen',
	'bs-usermanager-button_cancel'            => 'Abbrechen',
	'bs-usermanager-button_ok'                => 'OK',
	'bs-usermanager-change_password'          => '$1 - Passwort ändern',
	'bs-usermanager-changetext'               => 'In Artikeln<br>umbenennen',
	'bs-usermanager-confirm_delete'           => 'Willst Du den Benutzer <br/><b>$1</b><br/> wirklich l&ouml;schen?',
	'bs-usermanager-create_new_user'          => 'Neuen Benutzer anlegen',
	'bs-usermanager-db_error'                 => 'Es ist ein Fehler in der Datenbank aufgetreten',
	'bs-usermanager-delete'                   => '$1 - Löschen',
	'bs-usermanager-edit'                     => '$1 - Details bearbeiten',
	'bs-usermanager-email'                    => 'E-Mail',
	'bs-usermanager-enter_pwd'                => 'Bitte gib ein Passwort ein',
	'bs-usermanager-enter_pwd'                => 'Bitte gib ein Passwort ein',
	'bs-usermanager-enter_user'               => 'Bitte gib einen Benutzernamen ein',
	'bs-usermanager-group_added'              => 'Die Gruppen wurden &uuml;bernommen',
	'bs-usermanager-groups-for'               => 'Gruppen für <b>$1</b>',
	'bs-usermanager-id_noexist'               => 'Die Benutzer-ID gibt es nicht',
	'bs-usermanager-invalid_email'            => 'Die E-Mail-Adresse ist ung&uuml;ltig. Verwende keine Hochkommas oder Backslashes.',
	'bs-usermanager-invalid_pwd'              => 'Das Passwort ist ung&uuml;ltig. Verwende keine Hochkommas oder Backslashes',
	'bs-usermanager-invalid_realname'         => 'Der echte Name ist ung&uuml;ltig. Verwende keine Hochkommas oder Backslashes.',
	'bs-usermanager-invalid_uname'            => 'Der Benutzername ist ung&uuml;ltig. Verwende keine Hochkommas oder Backslashes.',
	'bs-usermanager-invalid_email_gen'        => 'Die E-Mail-Adresse ist ungültig.',
	'bs-usermanager-invalid_uname_gen'        => 'Der Benutzername ist ungültig.',	
	'bs-usermanager-label'                    => 'Benutzerverwaltung',
	'bs-usermanager-name'                     => 'Name',
	'bs-usermanager-new_password'             => 'Neues Passwort eingeben',
	'bs-usermanager-new_password_confirm'     => 'Neues Passwort best&auml;tigen',
	'bs-usermanager-new_uname'                => 'Neuer Name',
	'bs-usermanager-new_user'                 => 'Neuer Benutzer',
	'bs-usermanager-no-users-left'            => 'Du hast die maximale Anzahl von $1 Benutzern erreicht.',
	'bs-usermanager-not_allowed'              => 'Du bist nicht berechtigt, diese Aktion auszuf&uuml;hren.',
	'bs-usermanager-password'                 => 'Passwort',
	'bs-usermanager-password'                 => 'Passwort',
	'bs-usermanager-pwd_changed'              => 'Das Passwort wurde ge&auml;ndert',
	'bs-usermanager-pwd_confirm'              => 'Passwort best&auml;tigen',
	'bs-usermanager-pwd_nomatch'              => 'Die beiden Passw&ouml;rter stimmen nicht &uuml;berein',
	'bs-usermanager-realname'                 => 'Echter Name',
	'bs-usermanager-select_group'             => 'Bitte w&auml;hle eine oder mehrere Gruppen aus:',
	'bs-usermanager-sysop_rights'             => 'Du kannst dem Administrator die Sysop-Rechte nicht nehmen',
	'bs-usermanager-secure'                   => 'Secure',
	'bs-usermanager-to_group'                 => '$1 - Gruppen bearbeiten',
	'bs-usermanager-user_added'               => 'Der Benutzer wurde hinzugef&uuml;gt',
	'bs-usermanager-user_deleted'             => 'Der Benutzer wurde gel&ouml;scht',
	'bs-usermanager-user_edited'              => 'Die Änderungen wurden gespeichert',
	'bs-usermanager-user_exists'              => 'Der Benutzername ist schon vorhanden',
	'bs-usermanager-user_pwd_match'           => 'Benutzername und Passwort d&uuml;rfen nicht gleich sein',
	'bs-usermanager-username'                 => 'Name des Benutzers',
	'bs-usermanager-users-left'               => 'Du kannst noch <b>$1</b> Benutzer anlegen',
	'bs-usermanager-users_left'               => 'Du hast noch $1 User frei',
	'bs-usermanager-users_max'                => 'Du hast bereits die maximale Anzahl von $1 Benutzern eingerichtet',
	'bs-usermanager-save_successful'          => '&Auml;nderungen erfolgreich gespeichert',

	'UserManager'                             => 'Benutzerverwaltung',
	'prefs-UserManager'                       => 'Benutzerverwaltung',
	'bs-usermanager-pref-AllowPasswordChange' => 'Ändern des Passworts zulassen',
	'bs-usermanager-pref-UTF8DecodeInput'     => 'Eingabe UTF8 decodieren',
	'bs-usermanager-pref-LinkUsers'           => 'Benutzerseiten verlinken',
	'bs-usermanager-pref-LinkEmail'           => 'E-Mail-Adressen verlinken',
	'bs-usermanager-pref-AllowEdit'           => 'Bearbeiten zulassen',
	'bs-usermanager-pref-AllowDelete'         => 'Löschen zulassen',
	'bs-usermanager-pref-AllowGroups'         => 'Gruppen zulassen',
	'bs-usermanager-pref-AllowCreate'         => 'Erstellen zulassen'
);

$messages['de-formal'] = array(
	'bs-usermanager-confirm_delete'           => 'Wollen Sie den Benutzer <br/><b>$1</b><br/> wirklich l&ouml;schen?',
	'bs-usermanager-enter_pwd'                => 'Bitte geben Sie ein Passwort ein',
	'bs-usermanager-enter_pwd'                => 'Bitte geben Sie ein Passwort ein',
	'bs-usermanager-enter_user'               => 'Bitte geben Sie einen Benutzernamen ein',
	'bs-usermanager-invalid_email'            => 'Die E-Mail-Adresse ist ung&uuml;ltig. Verwenden Sie keine Hochkommas oder Backslashes.',
	'bs-usermanager-invalid_pwd'              => 'Das Passwort ist ung&uuml;ltig. Verwenden Sie keine Hochkommas oder Backslashes',
	'bs-usermanager-invalid_realname'         => 'Der echte Name ist ung&uuml;ltig. Verwenden Sie keine Hochkommas oder Backslashes.',
	'bs-usermanager-invalid_uname'            => 'Der Benutzername ist ung&uuml;ltig. Verwenden Sie keine Hochkommas oder Backslashes.',
	'bs-usermanager-no-users-left'            => 'Sie haben die maximale Anzahl von $1 Benutzern erreicht.',
	'bs-usermanager-not_allowed'              => 'Sie sind nicht berechtigt, diese Aktion auszuf&uuml;hren.',
	'bs-usermanager-select_group'             => 'Bitte w&auml;hlen Sie eine oder mehrere Gruppen aus:',
	'bs-usermanager-sysop_rights'             => 'Sie k&ouml;nnen dem Administrator die Sysop-Rechte nicht nehmen',
	'bs-usermanager-users-left'               => 'Sie können noch <b>$1</b> Benutzer anlegen',
	'bs-usermanager-users_left'               => 'Sie haben noch $1 User frei',
	'bs-usermanager-users_max'                => 'Sie haben bereits die maximale Anzahl von $1 Benutzern eingerichtet',
);

$messages['qqq'] = array();
