// Last review MRG (01.07.11 15:36)
BsUserManager = {
	i18n: {
		headerUsername: 'User name',
		headerRealname: 'Real name',
		headerEmail: 'Email',
		headerGroups: 'Groups',
		headerActions: 'Actions',
		tipEditPass: 'Change password',
		tipEditDetails: 'Edit details',
		tipEditGroups: 'Edit groups',
		tipDeleteUser: 'Delete user',
		btnOk: 'Ok',
		btnCancel: 'Cancel',
		titleError: 'Error',
		unknownError: 'An unknown error occurred.',
		titleAddUser: 'Add user',
		titleEditDetails: 'Edit details',
		labelUsername: 'User name',
		labelRealname: 'Real name',
		labelEmail: 'Email',
		labelChangetext: 'Rename in articles',
		titleEditPassword: 'Change password',
		labelNewPassword: 'New password',
		labelPasswordCheck: 'Retype password',
		titleEditGroups: 'Edit groups',
		titleDeleteUser: 'Delete user',
		confirmDeleteUser: 'Are you sure, you want delete this user?',
		showEntries: 'Displaying {0} - {1} of {2}',
		textCannotEditOwn: 'You cannot change or delete your own account.',
		pageSize : 'Page size: '
	},
	panel: false,
	store: new Ext.data.JsonStore({
		autoDestroy: true,
		url: BlueSpice.buildRemoteString('UserManager', 'getUsers'),
		storeId: 'BsUserManagerStore',
		root: 'users',
		remoteSort: true,
		fields: [ 'user_id', 'user_name', 'user_page', 'user_real_name', 'user_email', 'groups' ],
		totalProperty: 'totalCount'
	}),
	bbar: null, //Needed to access it in page size textfield listener
	pageSize: 25,
	show: function() {
		if(!this.panel) {
			this.bbar = new Ext.PagingToolbar({
				displayMsg: this.i18n.showEntries,
				store: this.store,
				displayInfo: true,
				pageSize: this.pageSize,
				stateful: false,
				items: [
					'-',
					this.i18n.pageSize,
					new Ext.form.TextField({
					width: 30,
					style: 'text-align: right',
					value: this.pageSize,
					enableKeyEvents: true,
					listeners: {
						keydown: function(t,e){
						//HINT: http://ssenblog.blogspot.de/2009/12/extjs-grid-dynamic-page-size.html
						if( e.getKey() != 13) return;

						BsUserManager.bbar.cursor = 0;
						BsUserManager.bbar.pageSize = parseInt(t.getValue());
						BsUserManager.store.load({
								params: {
								start: 0,
								limit: parseInt(t.getValue())
							}
						});
						}
					}
					})
				]
			}),
			this.panel = new Ext.grid.GridPanel({
				renderTo: 'UserManagerGrid',
				id: 'umGrid',
				plugins: (Ext.isIE ? [] : ['fittoparent']),
				loadMask: true,  
				store: this.store,
				tbar: new Ext.Toolbar({
					style: {
						backgroundColor: '#FFFFFF',
						backgroundImage: 'none'
					},
					items: [{
						tooltip: this.i18n.titleAddUser,
						icon: stylepath+'/bluespice/bs-um_useradd.png',
						iconCls: 'btn44',
						id: 'btnUserAdd',
						handler: function(btn, ev) {
							this.showAddUser();
						},
						scope: this
					}, {
						xtype: 'tbseparator',
						height: 44,
						cls: 'sep44'
					}, {
						tooltip: this.i18n.titleEditDetails,
						icon: stylepath+'/bluespice/bs-um_config-0.png',
						iconCls: 'btn44',
						id: 'btnUserConfig',
						disabled: true,
						handler: function(btn, ev) {
							this.showEditUser(this.panel.getSelectionModel().getSelected());
						},
						scope: this
					}, {
						tooltip: this.i18n.titleEditPassword,
						icon: stylepath+'/bluespice/bs-um_pass-0.png',
						iconCls: 'btn44',
						id: 'btnUserPass',
						disabled: true,
						handler: function(btn, ev) {
							this.showEditPassword(this.panel.getSelectionModel().getSelected());
						},
						scope: this
					}, {
						tooltip: this.i18n.titleEditGroups,
						icon: stylepath+'/bluespice/bs-um_groups-0.png',
						iconCls: 'btn44',
						id: 'btnUserGroups',
						disabled: true,
						handler: function(btn, ev) {
							this.showEditGroups(this.panel.getSelectionModel().getSelected());
						},
						scope: this
					}, {
						xtype: 'tbseparator',
						height: 44,
						cls: 'sep44'
					}, {
						tooltip: this.i18n.titleDeleteUser,
						icon: stylepath+'/bluespice/bs-um_userremove-0.png',
						iconCls: 'btn44',
						id: 'btnUserRemove',
						disabled: true,
						handler: function(btn, ev) {
							if (this.panel.getSelectionModel().getSelected() ) {
								this.showDeleteUser(this.panel.getSelectionModel().getSelected());
							}
						},
						scope: this
					}
					]
				}),
				bbar: this.bbar,
				colModel: new Ext.grid.ColumnModel({
					columns: [
					{
						id: 'username',
						header: this.i18n.headerUsername,
						xtype: 'templatecolumn',
						sortable: true,
						dataIndex: 'user_name',
						tpl: '<a href="{user_page}">{user_name}</a>'
					}, {
						id: 'userrealname',
						header: this.i18n.headerRealname,
						sortable: true,
						dataIndex: 'user_real_name'
					}, {
						id: 'useremail',
						header: this.i18n.headerEmail,
						xtype: 'templatecolumn',
						sortable: true,
						dataIndex: 'user_email',
						tpl: '<a href="mailto:{user_email}">{user_email}</a>'
					}, {
						header: this.i18n.headerGroups,
						xtype: 'templatecolumn',
						tpl: new Ext.XTemplate(
							'<ul style="list-style-type: none; list-style-image: none;">',
							'<tpl for="groups">',
							'<li>{.}</li>',
							'</tpl></ul>'
							),
						sortable: false
					}, {
						header: this.i18n.headerActions,
						xtype: 'actioncolumn',
						width: 100,
						cls: 'hideAction',
						items: [
						{
							icon: stylepath+'/bluespice/bs-um_config_tn.png',
							tooltip: this.i18n.tipEditDetails,
							handler: function(grid, rowIndex, colIndex) {
								this.showEditUser(this.store.getAt(rowIndex));
							},
							scope: this
						}, {
							icon: stylepath+'/bluespice/bs-um_pass_tn.png',
							tooltip: this.i18n.tipEditPass,
							handler: function(grid, rowIndex, colIndex) {
								this.showEditPassword(this.store.getAt(rowIndex));
							},
							scope: this
						}, {
							icon: stylepath+'/bluespice/bs-um_groups_tn.png',
							tooltip: this.i18n.tipEditGroups,
							handler: function(grid, rowIndex, colIndex) {
								this.showEditGroups(this.store.getAt(rowIndex));
							},
							scope: this
						}, {
							icon: stylepath+'/bluespice/bs-um_userremove_tn.png',
							tooltip: this.i18n.tipDeleteUser,
							handler: function(grid, rowIndex, colIndex) {
								this.showDeleteUser(this.store.getAt(rowIndex));
							},
							scope: this
						}
						],
						sortable: false
					}
					]
				}),
				viewConfig: {
					forceFit: true
				},
				sm: new Ext.grid.RowSelectionModel({
					singleSelect: true,
					listeners: {
						'selectionchange': function( sm ) {
							if (sm.hasSelection()) {
								Ext.getCmp('btnUserConfig').setIcon(stylepath+'/bluespice/bs-um_config.png');
								Ext.getCmp('btnUserConfig').enable();
								Ext.getCmp('btnUserPass').setIcon(stylepath+'/bluespice/bs-um_pass.png');
								Ext.getCmp('btnUserPass').enable();
								Ext.getCmp('btnUserGroups').setIcon(stylepath+'/bluespice/bs-um_groups.png');
								Ext.getCmp('btnUserGroups').enable();
								Ext.getCmp('btnUserRemove').setIcon(stylepath+'/bluespice/bs-um_userremove.png');
								Ext.getCmp('btnUserRemove').enable();
							} else {
								Ext.getCmp('btnUserConfig').setIcon(stylepath+'/bluespice/bs-um_config-0.png');
								Ext.getCmp('btnUserConfig').disable();
								Ext.getCmp('btnUserPass').setIcon(stylepath+'/bluespice/bs-um_pass-0.png');
								Ext.getCmp('btnUserPass').disable();
								Ext.getCmp('btnUserGroups').setIcon(stylepath+'/bluespice/bs-um_groups-0.png');
								Ext.getCmp('btnUserGroups').disable();
								Ext.getCmp('btnUserRemove').setIcon(stylepath+'/bluespice/bs-um_userremove-0.png');
								Ext.getCmp('btnUserRemove').disable();
							}
						}
					}

				}),
				border: false,
				columnLines: true,
				enableHdMenu: false,
				stripeRows: true,
				autoHeight: true
			});
			this.store.load();
		}
		this.panel.show();
	},
	window: false,
	showAddUser: function() {
		this.window = new Ext.Window({
			title: this.i18n.titleAddUser,
			modal: true,
			width: 350,
			items: [
			{
				xtype: 'form',
				id: 'panelFormAddUser',
				labelWidth: 130,
				padding: 10,
				border: false,
				defaults: {
					msgTarget: 'under'
				},
				items: [
				{
					xtype: 'textfield',
					fieldLabel: this.i18n.labelUsername,
					name: 'username',
					allowBlank: false
				}, {
					xtype: 'field',
					inputType: 'password',
					fieldLabel: this.i18n.labelNewPassword,
					name: 'pass',
					allowBlank: false
				}, {
					xtype: 'field',
					inputType: 'password',
					fieldLabel: this.i18n.labelPasswordCheck,
					name: 'repass',
					allowBlank: false
				}, {
					xtype: 'textfield',
					fieldLabel: this.i18n.labelEmail,
					name: 'email'
				}, {
					xtype: 'textfield',
					fieldLabel: this.i18n.labelRealname,
					name: 'realname'
				}
				]
			}
			],
			buttons: [
			{
				text: this.i18n.btnOk,
				id: 'btnAddUserOK',
				handler: function(){
					Ext.getCmp('panelFormAddUser').getForm().doAction('submit', {
						clientValidation: false,
						submitEmptyText: false,
						method: 'post',
						url: BlueSpice.buildRemoteString('UserManager', 'doAddUser'),
						success: function(form, action) {
							this.store.reload();
							this.window.close();
							if(action.result.messages.length) {
								var tmp = '';
								for(var i in action.result.messages) {
									if(typeof(action.result.messages[i]) != 'string') {
										continue;
									}
									tmp = tmp + action.result.messages[i] + '<br />';
								}
								Ext.Msg.alert('Status', tmp);
							}
						},
						failure: function(form, action) {
							if(action.result.messages.length) {
								var tmp = '';
								for(i in action.result.messages) {
									if(typeof(action.result.messages[i]) != 'string') {
										continue;
									}
									tmp = tmp + action.result.messages[i] + '<br />';
								}
								Ext.Msg.alert('Status', tmp);
							}
						},
						scope: this
					});
				},
				scope: this
			}, {
				text: this.i18n.btnCancel,
				id: 'btnAddUserCancel',
				handler: function(){
					this.ownerCt.ownerCt.close();
				}
			}
			]
		});
		this.window.show();
	},
	showEditUser: function(record) {
		if(record.get('user_name') == wgUserName) {
			Ext.Msg.alert(this.i18n.titleError, this.i18n.textCannotEditOwn);
			return;
		}
		this.window = new Ext.Window({
			title: this.i18n.titleEditDetails,
			modal: true,
			width: 350,
			items: [
			{
				xtype: 'form',
				id: 'panelFormEditUser',
				labelWidth: 130,
				padding: 10,
				border: false,
				defaults: {
					msgTarget: 'under'
				},
				items: [
				    {
					    xtype: 'textfield',
					    fieldLabel: this.i18n.labelUsername,
					    value: record.get('user_name'),
					    name: 'username',
					    allowBlank: false
				    }, {
					    xtype: 'textfield',
					    fieldLabel: this.i18n.labelEmail,
					    value: record.get('user_email'),
					    name: 'email'
				    }, {
					    xtype: 'textfield',
					    fieldLabel: this.i18n.labelRealname,
					    value: record.get('user_real_name'),
					    name: 'realname'
				    }, {
					    xtype: 'checkbox',
					    fieldLabel: this.i18n.labelChangetext,
					    name: 'changetext',
					    value: 1
				    }, {
					    xtype: 'hidden',
					    name: 'user',
					    value: record.get('user_id')
				    }
				]
			}
			],
			buttons: [
			{
				text: this.i18n.btnOk,
				id: 'btnEditUserOK',
				handler: function(){
					Ext.getCmp('panelFormEditUser').getForm().doAction('submit', {
						clientValidation: false,
						submitEmptyText: false,
						method: 'post',
						url: BlueSpice.buildRemoteString('UserManager', 'doEditUser'),
						success: function(form, action) {
							this.store.reload();
							this.window.close();
							if(action.result.messages.length) {
								var tmp = '';
								for(i in action.result.messages) {
									if(typeof(action.result.messages[i]) != 'string') {
										continue;
									}
									tmp = tmp + action.result.messages[i] + '<br />';
								}
								Ext.Msg.alert('Status', tmp);
							}
						},
						failure: function(form, action) {
							if(action.result.messages.length) {
								var tmp = '';
								for(i in action.result.messages) {
									if(typeof(action.result.messages[i]) != 'string') {
										continue;
									}
									tmp = tmp + action.result.messages[i] + '<br />';
								}
								Ext.Msg.alert('Status', tmp);
							}
						},
						scope: this
					});
				},
				scope: this
			}, {
				text: this.i18n.btnCancel,
				id: 'btnEditUserCancel',
				handler: function(){
					this.ownerCt.ownerCt.close();
				}
			}
			]
		});
		this.window.show();
	},
	showEditPassword: function(record) {
		this.window = new Ext.Window({
			title: this.i18n.titleEditPassword,
			modal: true,
			width: 350,
			items: [
			{
				xtype: 'form',
				id: 'panelFormEditPassword',
				labelWidth: 130,
				padding: 10,
				border: false,
				items: [
				{
					xtype: 'field',
					inputType: 'password',
					fieldLabel: this.i18n.labelNewPassword,
					name: 'newpass',
					allowBlank: false
				}, {
					xtype: 'field',
					inputType: 'password',
					fieldLabel: this.i18n.labelPasswordCheck,
					name: 'newrepass',
					allowBlank: false
				}, {
					xtype: 'hidden',
					name: 'user',
					value: record.get('user_id')
				}
				]
			}
			],
			buttons: [
			{
				text: this.i18n.btnOk,
				handler: function(){
					Ext.getCmp('panelFormEditPassword').getForm().doAction('submit', {
						clientValidation: false,
						submitEmptyText: false,
						method: 'post',
						url: BlueSpice.buildRemoteString('UserManager', 'doEditPassword'),
						success: function(form, action) {
							this.window.close();
							if(action.result.messages.length) {
								var tmp = '';
								for(i in action.result.messages) {
									if(typeof(action.result.messages[i]) != 'string') {
										continue;
									}
									tmp = tmp + action.result.messages[i] + '<br />';
								}
								Ext.Msg.alert('Status', tmp);
							}
						},
						failure: function(form, action) {
							if(action.result.messages.length) {
								var tmp = '';
								for(i in action.result.messages) {
									if(typeof(action.result.messages[i]) != 'string') {
										continue;
									}
									tmp = tmp + action.result.messages[i] + '<br />';
								}
								Ext.Msg.alert('Status', tmp);
							}
						},
						scope: this
					});
				},
				scope: this
			}, {
				text: this.i18n.btnCancel,
				handler: function(){
					this.ownerCt.ownerCt.close();
				}
			}
			]
		});
		this.window.show();
	},
	showEditGroups: function(record) {
		this.window = new Ext.Window({
			store: new Ext.data.JsonStore({
				autoDestroy: true,
				url: BlueSpice.buildRemoteString('UserManager', 'getUserGroups', {
					user: record.get('user_id')
				}),
				storeId: 'BsUserManagerGroupStore',
				root: 'groups',
				fields: [ 'groupname', 'group', 'member' ],
				listeners: {
					'load': {
						fn: function(store, records, options) {
							var panelForm = Ext.getCmp('panelFormEditGroups');
							for(i in records) {
								if(typeof(records[i]) != 'object') {
									continue;
								}
								panelForm.add(new Ext.form.Checkbox({
									boxLabel: records[i].data.groupname,
									name: 'groups[]',
									checked: records[i].data.member,
									inputValue: records[i].data.group
								}));
							}
							this.window.show();
						},
						scope: this
					},
					'exception': {
						fn: function( proxy, type, action, options, response ) {
							if(type == 'remote' && options.reader.jsonData.message != '') {
								Ext.Msg.alert(this.i18n.titleError, options.reader.jsonData.message);
							}
							else {
								Ext.Msg.alert(this.i18n.titleError, this.i18n.unknownError);
							}
						},
						scope: this
					}
				}
			}),
			title: this.i18n.titleEditGroups,
			modal: true,
			width: 350,
			items: [
			{
				xtype: 'form',
				id: 'panelFormEditGroups',
				hideLabels: true,
				padding: 10,
				border: false,
				items: [
				{
					xtype: 'hidden',
					name: 'user',
					value: record.get('user_id')
				}
				]
			}
			],
			buttons: [
			{
				text: this.i18n.btnOk,
				handler: function(){
					Ext.getCmp('panelFormEditGroups').getForm().doAction('submit', {
						clientValidation: false,
						submitEmptyText: false,
						method: 'post',
						url: BlueSpice.buildRemoteString('UserManager', 'doEditGroups'),
						success: function(form, action) {
							this.store.reload();
							this.window.close();
							if(action.result.messages.length) {
								var tmp = '';
								for(i in action.result.messages) {
									if(typeof(action.result.messages[i]) != 'string') {
										continue;
									}
									tmp = tmp + action.result.messages[i] + '<br />';
								}
								Ext.Msg.alert('Status', tmp);
							}
						},
						failure: function(form, action) {
							if(action.result.messages.length) {
								var tmp = '';
								for(i in action.result.messages) {
									if(typeof(action.result.messages[i]) != 'string') {
										continue;
									}
									tmp = tmp + action.result.messages[i] + '<br />';
								}
								Ext.Msg.alert('Status', tmp);
							}
						},
						scope: this
					});
				},
				scope: this
			}, {
				text: this.i18n.btnCancel,
				handler: function(){
					this.ownerCt.ownerCt.close();
				}
			}
			]
		});
		this.window.store.load();
	},
	showDeleteUser: function(record) {
		if(record.get('user_name') == wgUserName) {
			Ext.Msg.alert(this.i18n.titleError, this.i18n.textCannotEditOwn);
			return;
		}
		Ext.Msg.confirm(this.i18n.titleDeleteUser, this.i18n.confirmDeleteUser, function(btn) {
			if(btn == 'yes') {
				Ext.Ajax.request({
					method: 'post',
					params: {
						user: record.get('user_id')
					},
					url: BlueSpice.buildRemoteString('UserManager', 'doDeleteUser'),
					success: function(response, opts) {
						var obj = Ext.decode(response.responseText);
						BsUserManager.panel.store.reload();
						if(obj.messages.length) {
							var tmp = '';
							for(i in obj.messages) {
								if(typeof(obj.messages[i]) != 'string') {
									continue;
								}
								tmp = tmp + obj.messages[i] + '<br />';
							}
							Ext.Msg.alert('Status', tmp);
						}
					},
					failure: function(response, opts) {
						// CR MRG (01.07.11 15:38): Keine consolelogs, die gehen nicht im ie!
						//console.log('server-side failure with status code ' + response.status);
					},
					scope: this
				})
			}
		})
	}
}

Ext.onReady(function() {
	BsUserManager.show();
}, window, { delay: 500 });
